This is an automated email from the ASF dual-hosted git repository.
github-actions[bot] pushed a change to branch bot/trino-pin
in repository https://gitbox.apache.org/repos/asf/hudi.git
discard 23c78f04b714 chore(trino): advance trino master pin to 2fbc363237e1
add 85f9de41e04f test(variant): pin the scan ReadSchema per arm (#20155)
add 4d3af133b42e test(variant): pin ALTER COLUMN TYPE refusal (#20127)
add d6c871bc4d71 fix(hive-sync): fail HiveQL-mode sync when Hive rejects a
statement (#20145)
add 72bae164b4ff fix(flink): preserve arrival order for equal keys in LSM
writes (#20138)
add 61bf57d741ec feat(tools): support named arguments for SparkMain CLI
commands (#19970)
add cf5fe382746d docs(rfc): claim RFC-113 Spark native execution with
DataFusion Comet and hudi-rs (#20177)
add 3c54be6fab04 docs(rfc): claim RFC-114 for the update as delete and
insert operation mode (#20174)
add d058558df043 fix(spark): reorder nested variants on Spark 4.0 (#20161)
add a78be288c126 fix(spark): check data schema in Spark 4.0 guard (#20158)
add 827644e8699b fix(spark): null-fill a DDL-added variant column (#20136)
add b6d70f284727 docs(rfc): claim RFC-115 for the Spark DataFrame-native
write path (#20179)
new e6cffc0a1a87 chore(trino): advance trino master pin to a4583a595cc7
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (23c78f04b714)
\
N -- N -- N refs/heads/bot/trino-pin (e6cffc0a1a87)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omit" are not gone; other references still
refer to them. Any revisions marked "discard" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "add" were already present in the repository and have only
been added to this reference.
Summary of changes:
hudi-cli/pom.xml | 6 +
.../hudi/cli/commands/ArchivedCommitsCommand.java | 8 +-
.../apache/hudi/cli/commands/BootstrapCommand.java | 23 +-
.../apache/hudi/cli/commands/CleansCommand.java | 4 +-
.../hudi/cli/commands/ClusteringCommand.java | 24 +-
.../hudi/cli/commands/CompactionCommand.java | 63 +++-
.../apache/hudi/cli/commands/MarkersCommand.java | 5 +-
.../apache/hudi/cli/commands/RepairsCommand.java | 18 +-
.../apache/hudi/cli/commands/RollbacksCommand.java | 6 +-
.../hudi/cli/commands/SavepointsCommand.java | 18 +-
.../org/apache/hudi/cli/commands/SparkMain.java | 171 ++++++++-
.../cli/commands/UpgradeOrDowngradeCommand.java | 8 +-
.../apache/hudi/cli/commands/TestSparkMain.java | 244 +++++++++++++
.../io/log/block/HoodieFlinkParquetDataBlock.java | 2 +-
.../parquet/HoodieParquetReadSupport.scala | 17 +-
.../org/apache/spark/sql/hudi/SparkAdapter.scala | 18 +-
.../parquet/TestHoodieParquetReadSupport.scala | 36 ++
.../org/apache/hudi/sink/StreamWriteFunction.java | 12 +-
.../AppendWriteFunctionWithBIMBufferSort.java | 4 +-
...AppendWriteFunctionWithDisruptorBufferSort.java | 2 +-
.../org/apache/hudi/sink/buffer/RowDataBucket.java | 18 +-
.../apache/hudi/sink/buffer/StableSortBuffer.java | 232 +++++++++++++
.../exception/MemoryPagesExhaustedException.java | 2 +-
.../sink/partitioner/index/IndexWriteFunction.java | 8 +-
.../org/apache/hudi/sink/utils/BufferUtils.java | 24 +-
.../hudi/sink/utils/NaturalOrderKeyComputer.java | 2 +-
.../sink/utils/NaturalOrderRecordComparator.java | 2 +-
.../org/apache/hudi/sink/TestWriteCopyOnWrite.java | 2 +-
.../org/apache/hudi/sink/TestWriteMergeOnRead.java | 72 ++++
.../apache/hudi/sink/buffer/TestRowDataBucket.java | 233 ++++++++++++-
.../partitioner/index/TestIndexWriteFunction.java | 6 +-
.../sink/utils/TestRecordKeySortKeyComputer.java | 6 +-
.../HoodieFileGroupReaderBasedFileFormat.scala | 6 +-
.../sql/hudi/dml/schema/TestVariantDataType.scala | 55 ++-
.../schema/TestVariantShreddingMixedLayouts.scala | 383 ++++++++++++++++++++-
.../dml/schema/VariantShreddingTestSupport.scala | 29 +-
.../apache/spark/sql/adapter/Spark4_0Adapter.scala | 4 +-
.../parquet/Spark40HoodieParquetReadSupport.scala | 68 +++-
.../TestSpark40HoodieParquetReadSupport.scala | 68 +++-
.../apache/hudi/hive/ddl/HiveQueryDDLExecutor.java | 10 +-
.../org/apache/hudi/hive/util/HiveDriverPool.java | 4 +-
.../hudi/hive/util/HiveStatementExecutor.java | 63 ++++
.../org/apache/hudi/hive/TestHiveSyncTool.java | 29 ++
.../hive/ddl/TestHiveQueryDDLExecutorSession.java | 35 +-
.../apache/hudi/hive/util/TestHiveDriverPool.java | 55 ++-
packaging/hudi-cli-bundle/pom.xml | 5 +
pom.xml | 2 +-
rfc/README.md | 3 +
48 files changed, 1963 insertions(+), 152 deletions(-)
create mode 100644
hudi-cli/src/test/java/org/apache/hudi/cli/commands/TestSparkMain.java
create mode 100644
hudi-flink-datasource/hudi-flink/src/main/java/org/apache/hudi/sink/buffer/StableSortBuffer.java
create mode 100644
hudi-sync/hudi-hive-sync/src/main/java/org/apache/hudi/hive/util/HiveStatementExecutor.java